#include <stdio.h>
#include <string.h>

void word_to_upper(char buff[]) {
  int start = 'a';
  int stop = 'z';
  int difference = 32;
  for (int i = 0; i<strlen(buff);i++) {
    if (buff[i] >= start && buff[i] <= stop) {
      buff[i]-= difference;
    }
  }
}

int main() {
  char buff[] = "A String to operate on";
  
  printf("String before toupper: %s\n",buff);
  word_to_upper(buff);
  printf("String after toupper: %s\n",buff);
  return (0);
}
